<?php

/* =============================
   || OpenArena e107 Theme
   =============================
    - License: GPLv2
    - Author: Gábor Udvari, gabor.udvari@gmail.com
*/

// ENABLE MATURE MODELS IN HEADER?
$mature_models = false;

// ================================================

if(!defined('e107_INIT')){ exit; }
	
// [multilanguage]
include_lan(e_THEME.'openarena/languages/'.e_LANGUAGE.'.php');

// [theme information]
$themename = "OpenArena";
$themeversion = "1.0";
$themeauthor = "Gábor Udvari";
$themeemail = "gabor.udvari@gmail.com";
$themewebsite = "http://openarena.ws";
$themedate = "October 23, 2009";
$themeinfo = "The theme was developed for the OpenArena project. It is released under the terms of GPLv2."; 
define("STANDARDS_MODE", TRUE);
$xhtmlcompliant = TRUE;
$csscompliant = TRUE;

// [layout]
// use the default layout, but standartist zealots will probably discourage using XHTML 1.1
$layout = "_default";

//register shortcodes
$register_sc[] = 'PAGESTYLE';

// random logo image
$logoimg = 'logo'.rand(1, 6);
if($mature_models){
	$logoimg = 'logo'.rand(1, 9);
}

// [header]
$HEADER = "
<div id=\"page\" {PAGESTYLE}><div id=\"page-inner\">

<div id=\"header\"><div id=\"header-inner\">
			<div id=\"logo\">
				<a href=\"".SITEURL."\"><img id=\"logo-image\" src=\"".THEME."/images/".$logoimg.".jpg\" alt=\"site logo\" /></a>
				<!-- <h1><a href=\"".SITEURL."\">{SITENAME}</a></h1> -->
    	    </div>
            <!-- <div id=\"slogan\">{SITETAG}</div> -->
</div></div><!-- /#header-inner, /#header -->

<div id=\"main\"><div id=\"main-inner\">

<div id=\"content\"><div id=\"content-inner\">";

// [footer]
$FOOTER = "
</div></div> <!-- /#content-inner, /#content -->

<div id=\"navbar\"><div id=\"navbar-inner\">
	<div id=\"sitelinks\">
		{SITELINKS}
	</div>
	<div id=\"search-box\">
		{SEARCH}
	</div>
</div></div><!-- /#navbar-inner, /#navbar -->

<div id=\"sidebar-left\"><div id=\"sidebar-left-inner\">
{MENU=1}
</div></div> <!-- /#sidebar-left-inner, /#sidebar-left -->

<div id=\"sidebar-right\"><div id=\"sidebar-right-inner\">
{MENU=2}
</div></div> <!-- /#sidebar-right-inner, /#sidebar-right -->

</div></div> <!-- /#main-inner, /#main -->

<div id=\"footer\"><div id=\"footer-inner\">
{SITEDISCLAIMER}
</div></div><!-- /#footer-inner, /#footer -->

</div></div><!-- /#page-inner, /#page -->

<div id=\"closure-blocks\"></div>";

// [linkstyle]
define('PRELINK', "<ul>");
define('POSTLINK', "</ul>");
define('LINKSTART', "<li>");
define("LINKSTART_HILITE", "<li class='current-link'>");
define('LINKEND', "</li>");

// [extendedlink]
define("PRE_EXTENDEDSTRING", "<p class=\"extendedlink\">");
define("EXTENDEDSTRING", "Read more...");
define("POST_EXTENDEDSTRING", "</p>");

//[tablestyle]
function tablestyle($caption, $text, $mode){
	echo "<div class=\"box bright\">
		<h3>{$caption}</h3>
		<div class=\"boxbody\">
			<div class=\"boxtext\">{$text}</div>
		</div>
		</div>";
} 

//[newsstyle]
$NEWSSTYLE = "<div class=\"news bright\">
	<h3>{NEWSTITLE}</h3>
	<div class=\"boxbody\">
	<div class=\"boxmeta\">
		{NEWSDATE=short} - {NEWSAUTHOR=nolink}
	</div>
	<div class=\"boxtext\">{NEWSBODY}<br />
    {EXTENDED}</div>
	</div>
	</div>";

//[chatboxstyle]
$CHATBOXSTYLE = "
	<img src='".THEME_ABS."images/bullet2.gif' alt='bullet' />
	<b>{USERNAME}</b><br />{TIMEDATE}
	<div class='smalltext'>
	{MESSAGE}
	</div>
	<br />";

?>
